ChangeSet 1.1024, 2003/01/16 10:44:04-08:00, greg@kroah.com

USB: Move the scanner ioctls to usb_scanner_ioctl.h to allow access by archs that need it.

Specifically arches that need to thunk between a 32 bit userspace
and a 64 bit kernel.

Thanks to Dave Miller for proding me to make this change.


diff -Nru a/drivers/usb/scanner.h b/drivers/usb/scanner.h
--- a/drivers/usb/scanner.h	Thu Jan 16 10:51:46 2003
+++ b/drivers/usb/scanner.h	Thu Jan 16 10:51:46 2003
@@ -32,6 +32,7 @@
 #include <linux/sched.h>
 #include <linux/smp_lock.h>
 #include <linux/devfs_fs_kernel.h>
+#include <linux/usb_scanner_ioctl.h>
 
 // #define DEBUG
 
@@ -260,12 +261,6 @@
 #define RD_NAK_TIMEOUT (10*HZ)	/* Default number of X seconds to wait */
 #define RD_EXPIRE 12		/* Number of attempts to wait X seconds */
 
-
-/* read vendor and product IDs from the scanner */
-#define SCANNER_IOCTL_VENDOR _IOR('U', 0x20, int)
-#define SCANNER_IOCTL_PRODUCT _IOR('U', 0x21, int)
-/* send/recv a control message to the scanner */
-#define SCANNER_IOCTL_CTRLMSG _IOWR('U', 0x22, struct usb_ctrlrequest )
 
 /* USB bInterfaceClass used by Hewlett-Packard ScanJet 3300c and Genius HR6
    USB - Vivid III */
diff -Nru a/include/linux/usb_scanner_ioctl.h b/include/linux/usb_scanner_ioctl.h
--- /dev/null	Wed Dec 31 16:00:00 1969
+++ b/include/linux/usb_scanner_ioctl.h	Thu Jan 16 10:51:46 2003
@@ -0,0 +1,9 @@
+/* USB Scanner IOCTLS */
+
+/* read vendor and product IDs from the scanner */
+#define SCANNER_IOCTL_VENDOR _IOR('U', 0x20, int)
+#define SCANNER_IOCTL_PRODUCT _IOR('U', 0x21, int)
+/* send/recv a control message to the scanner */
+#define SCANNER_IOCTL_CTRLMSG _IOWR('U', 0x22, struct usb_ctrlrequest )
+
+
